/**
 * @author : Kevin FERRANDON
 * @version : 1.0
 * @description : Script pour afficher des infos à propos du client. 
 *  
 **/  
var os=0;
var nav=1
var navver=2
var langage=3;
(function() {
    window.infoclient = {
        InfoClient : function() {
            if(this.__init ) this.__init();
        }
        , _prototypes : {
            __init : function() {
                var appVersion = navigator.appVersion.toString()
                switch(true) {
                    case appVersion.match(/win/i)?true:false :
                        this.OS = 'Windows';
                        break;
                    case appVersion.match(/mac/i)?true:false :
                        this.OS = 'Mac';
                        break;
                    case appVersion.match(/(?:linux|x11)/i)?true:false :
                        this.OS = 'Linux';
                        break;
                }

                $.browser.chrome = /chrome/i.test(navigator.userAgent); 

                switch(true) {
                    case $.browser.webkit :
                        this.nav = 'Webkit';
                        break;
                    case $.browser.mozilla :
                        this.nav = 'Firefox';
                        break;
                    case $.browser.msie :
                        this.nav = 'Internet Explorer';
                        break;
                    case $.browser.opera :
                        this.nav = 'Opéra';
                        break
                    case $.browser.safari :
                        this.nav = 'Safari';
                        break;
                    case $.browser.chrome :
                        this.nav = 'Chrome';
                        break;
                }
                this.version = $.browser.version;
                this.language = navigator.language.toString();
                this.type = [this.getOs(), this.getNav(), this.getVerNav(), this.getLangue()];
            }
            ,version : null 
            , OS : null
            , nav : null
            , type : null
            , language : null
            , showInfo : function(type, forme, container, callback){
                
                var consDialog;

                if(forme=='simple'){
                    return this.type[type];
                    };

                consDialog=$(container).html();
                if(forme=='phrase'){
                    consDialog += "<div id='"+this.id[type]
                        +"' class='dvInfosBulle' title='"+this.titrediv[type]+"'><div class='dvTitreBulle'><div id='dvtxtgchbulle'>";
                    consDialog += this.titrediv[type]+"</div><div id='dvimgbulle'>"
                        +"<img src='img/close.png' id='imgnav' onclick=\"infoclient.cache('"
                        +this.id[type]+"')\" /></div></div><div class='dvTextbulle'>"
                        +this.textdiv[type]+"<b>"+this.type[type]+"</b>"
                        +"</div></div>";

                    $(container).html(consDialog);
                    return true;
                }
                    if(forme=='telecharge'){
                    consDialog += "<div class='listenav dvInfosBulle' id='"+this.id[type]+forme+"' title='"+this.titrediv[type]+"'><div class='dvTitreBulle'><div id='dvtxtgchbulle'>";
                     consDialog += this.titrediv[type]+"</div><div id='dvimgbulle'>"
                        +"<img src='img/close.png' id='imgnav' onclick=\"infoclient.cache('"
                        +this.id[type]+forme+"')\" /></div></div><div class='dvTextbulle'>"
                        + "Metter votre navigateur "+this.getNav()+" V"+$.browser.version +" a jour.</br> Pour etre sur de profiter au mieux de toutes les fonctionnalit&eacute;s des sites web que vous visitez.<br />";
                    for(var i in this.choixNav){
                        consDialog += this.construit(this.choixNav[i],i);
                    }
                    consDialog +="</div></div>"; 

                    $(container).html(consDialog);
                    return true;
                }

                return false;
            }
            , getNav : function(){
                return this.nav;
            }
            , 
            getVerNav : function(){
                return this.getNav()+this.version;
            }
            , 
            getVersionNav : function(){
                return this.version;
            } 
            , 
            getOs  : function(){
                return this.OS;
            }
            ,
            getLangue : function(){
                return this.language;
            }
            , id : ['os', 'nav', 'navver', 'langage']
            , titrediv : [
                'Affichage du system d\'exploitation'
                , 'Affichage du navigateur'
                , 'Affichage du navigateur et de sa version' 
                , 'Langue utilis&eacute;'
            ]
            , textdiv : [
                'Votre Systeme d\'exploitation est :'
                , 'Votre Navigateur internet est : '
                , 'Votre Navigateur internet est : '
                , 'La langue d&eacute;fini est : '
            ]
            ,  choixNav : ['IE9', 'chrome', 'firefox', 'safari', 'opera']
            , lienTelecharge : [
                'http://www.microsoft.com/france/windows/internet-explorer/telecharger-ie9.aspx'
                , 'https://www.google.com/chrome/index.html?hl=fr&brand=CHMB&utm_campaign=fr&utm_source=fr-ha-emea-fr-sk&utm_medium=ha&installdataindex=homepagepromo'
                , 'http://www.mozilla.org/fr/firefox/fx/'
                , 'http://www.apple.com/fr/safari/download/'
                , 'http://www.opera-fr.com/telechargements/'           
            ]
            , construit : function (element, i){
                 var obj = "<div id='"+element+"' >";
                obj += "<a href='"+this.lienTelecharge[i]+"' title='T&eacute;l&eacute;charger "+element+"'>T&eacute;l&eacute;charger "+element;
                obj += "<img src='img/"+element+".png'alt='"+element+"' /></a>";
                obj += "</div>";
                return obj;
            }
        }
       
        
        , cache : function (id){
            $('#'+id).hide('slow');
        }
        , updatePrototypes : function (target, reference) {
            for(var prpt in reference) {
                target.prototype[prpt] = reference[prpt];
            }
        }
    };
    infoclient.updatePrototypes(infoclient.InfoClient, infoclient._prototypes);
})();




